## Contents

The three contained files *best-solutions.csv*, *nr-of-assortments.csv*, and *diversity.csv* contain the computational results of the article **The Maximum Diversity Assortment Selection Problem**.

## best-solutions.csv

Contains the coverage of the best generated assortments in percent. The results are ordered row-wise by the MDASP instance and consist of the results of the different solution approaches presented in the article.

Each row contains the following information in the given order:

* Name of the instance
* Number of rectangles contained in the instance
* Value of best solution generated by MIP approach HC95
* Value of best solution generated by MIP approach BKRS09
* Value of best solution generated by MIP approach EP09
* Value of best solution generated by the LWF heuristic
* Value of best solution generated by the GRASP heuristic
* Value of best solution generated by the IBHP heuristic

## nr-of-assortments.csv

Contains the absolute number of feasible assortments for the corresponding 2CSP instance generated by the approaches presented in the article.

Each row contains the following information in the given order:

* Name of the instance
* Number of rectangles contained in the instance
* Number of v-good solutions generated by LWF
* Number of v-good solutions generated by GRASP
* Number of v-good solutions generated by IBHP
* Total number of solutions generated by LWF
* Total number of solutions generated by GRASP
* Total number of solutions generated by IBHP

## diversity.csv

Contains the results of the upper bounds and the maximum diversity of the solutions to MDASP generated by the different approaches presented in the article. For all instances m = 6 assortments needs to be chosen, and only assortments that are within an epsilon-range of 5% of the best generated assortment to the corresponding 2CSP are allowed.

Note that values which are proven to be optimal are marked with a \*.

Each row contains the following information in the given order:

* Name of the instance
* Number of rectangles contained in the instance
* Value of upper bound UB_min
* Value of upper bound UB_avg
* Solution of approach MIQP for delta_min
* Solution of Benders Decomposition Approach for delta_min
* Solution of the Generic Framework for delta_min
* Solution of approach MIQP for delta_avg
* Solution of Benders Decomposition Approach for delta_avg
* Solution of the Generic Framework for delta_avg

## Marks on some special characters in the data

Within the csv-files, some numbers are marked with '\*' or a '-' is present instead of a number. Here '-' signifies that no value could be found or that the best value that could be obtained is equal to zero. A '\*' on the other hand marks values that are optimal.